Update an industry
curl --request PUT \
--url https://api.metal.ai/v1/industries/{id} \
--header 'Content-Type: application/json' \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <api-key>' \
--data '
{
"name": "<string>",
"externalReference": {
"source": "<string>",
"id": "<string>"
}
}
'import requests
url = "https://api.metal.ai/v1/industries/{id}"
payload = {
"name": "<string>",
"externalReference": {
"source": "<string>",
"id": "<string>"
}
}
headers = {
"x-metal-client-id": "<api-key>",
"x-metal-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-metal-client-id': '<api-key>',
'x-metal-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', externalReference: {source: '<string>', id: '<string>'}})
};
fetch('https://api.metal.ai/v1/industries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.metal.ai/v1/industries/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"externalReference\": {\n \"source\": \"<string>\",\n \"id\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-metal-client-id", "<api-key>")
req.Header.Add("x-metal-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "<string>",
"name": "<string>",
"externalReference": {
"source": "<string>",
"id": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "Invalid request body"
}{
"error": "invalid api key or clientId"
}{
"error": "not found"
}Update an industry
Updates an existing industry.
PUT
/
v1
/
industries
/
{id}
Update an industry
curl --request PUT \
--url https://api.metal.ai/v1/industries/{id} \
--header 'Content-Type: application/json' \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <api-key>' \
--data '
{
"name": "<string>",
"externalReference": {
"source": "<string>",
"id": "<string>"
}
}
'import requests
url = "https://api.metal.ai/v1/industries/{id}"
payload = {
"name": "<string>",
"externalReference": {
"source": "<string>",
"id": "<string>"
}
}
headers = {
"x-metal-client-id": "<api-key>",
"x-metal-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-metal-client-id': '<api-key>',
'x-metal-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', externalReference: {source: '<string>', id: '<string>'}})
};
fetch('https://api.metal.ai/v1/industries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.metal.ai/v1/industries/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"externalReference\": {\n \"source\": \"<string>\",\n \"id\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-metal-client-id", "<api-key>")
req.Header.Add("x-metal-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "<string>",
"name": "<string>",
"externalReference": {
"source": "<string>",
"id": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "Invalid request body"
}{
"error": "invalid api key or clientId"
}{
"error": "not found"
}Authorizations
The Client ID of your API key.
The secret value of your API key.
Path Parameters
The industry id.
Body
application/json
Response
Updates an existing industry.
Show child attributes
Show child attributes
⌘I

